# Polkadot Updates

## 🔴 ⭕️ Relay Chain

> _**[current staking rate](https://polkadot.js.org/apps/?rpc=wss%3A%2F%2Frpc.polkadot.io#/staking) 57.1% //** ideal staking rate 75%_

*   [Polkadot 0.9.12 is out now](https://github.com/paritytech/polkadot/releases/tag/v0.9.12) - this is a medium priority upgrade due to some client bugs being resolved, a new transaction priority mechanism, and improvements in block production speed for some edge cases.
*   [Polkadot 0.9.12-1](https://github.com/paritytech/polkadot/releases/tag/v0.9.12-1) has been released. Note that this is a RUNTIME-ONLY release; node operators do not need to update their node software.
    

## 🔴 🏛 Governance

*   The **DotSama Experience team** has a [post](https://kusama.polkassembly.io/post/1051) looking for feedback on a potential Treasury Proposal for \"A Virtual Journey Through the Kusama & Polkadot Networks\".  
*   **Polkassembly** now has a section for [Council members](https://polkadot.polkassembly.io/council) to add information about themselves. This can help you make an informed choice when voting for Council members.
*   The first iteration of the Polkadot rebrand has been [released](https://vote.polkadot.network/) with two distinct directions available for the community to choose from. [Cast your vote](https://vote.polkadot.network/) and be a part of the historic Polkadot rebrand powered by on-chain governance and community participation.
    

# Kusama Updates **ₑₓₚₑcₜ cₕₐₒₛ**

## 🦅 ⭕️ Relay Chain

> _total supply **- 11.5mil KSM**_ **||** _staking **- 43.6%**_ **||** _parachains **- 20.3%**_

*   [Kusama 0.9.12 is out now](https://github.com/paritytech/polkadot/releases/tag/v0.9.12) - this is a medium priority upgrade due to some client bugs being resolved, a new transaction priority mechanism, and improvements in block production speed for some edge cases.
    

## 🦅 🏛 Governance

*   There is a [proposal](https://kusama.polkassembly.io/proposal/51) to cancel one of the current crowdloans. Created by [Yung Beef](https://twitter.com/CryptoCowboyOG), the proposal seeks to cancel the Integritee crowdloan because the team ‘misled’ the community by announcing a sale on KSM Starter (an IDO platform despised by the DotSama community). Read [the proposal](https://kusama.polkassembly.io/proposal/51) and add your thoughts to the conversation. Second the vote if you agree with the proposal.
*   **[Motion 385](https://kusama.polkassembly.io/motion/385)**, a request from Calamari to upgrade their chain to a new runtime, has been passed and executed. Note this is normally not necessary; see post for details. 
*   There is a [post](https://kusama.polkassembly.io/post/1056) on Polkassembly seeking feedback for lowering the deposit to open an HRMP channel. 
*   **[Referendum 145](https://kusama.polkassembly.io/referendum/145)**, proposing to add an additional 100 validators to the active set, is currently passing with three days left to vote.
*   **Polkassembly** now has a section for [Council members](https://polkadot.polkassembly.io/council) to add information about themselves. This can help you make an informed choice when voting for Council members.
*   **[Referendum 147](https://kusama.polkassembly.io/referendum/147)**, to upgrade Statemine to v504, is up for a vote.
*   **[Referendum 148](https://kusama.polkassembly.io/referendum/147)**, to upgrade Kusama to v9122, is up for a vote. This has been fast-tracked by the Technical Committee, thus voting will end after one day.
    

# ⛓ Connected Parachains, dApps, and others

> _projects **connected** to the DOT and KSM relay chains_

*   [Statemine v504 (Polkadot v0.9.11)](https://github.com/paritytech/cumulus/releases/tag/statemine-v5.0.0) is out, most notably bringing the ability to pay [transaction fees in assets](https://github.com/paritytech/cumulus/pull/488), and an RPC for transaction fees which was needed for multi-sig to work in the Polkadot Apps UI.
*   The first-ever cross-parachain token listing in the Kusama Network and Polkadot ecosystem is now live on [Karura Swap](https://apps.karura.network/swap) as **Bifrost Finance** launches its BNC/kUSD pool and liquidity mining program.
*   **Crust Network** integrates with MoonriverNW to Bring Web3 IPFS Storage to the Kusama Ecosystem. [More](https://medium.com/crustnetwork/crust-network-integrates-with-moonriver-to-bring-web3-ipfs-storage-to-the-kusama-ecosystem-b73d934293bf).
*   **The Graph’s** hosted service is now supporting **Moonriver**, expanding further into the Polkadot & Kusama Network ecosystem. 
*   **SubQuery** [teamed up with](https://dotmarketcap.com/blog-detail/1959/subquery-helps-khala-build-their-new-erc20-chain-bridge) **Khala** for Khala’s new [Ethereum-Kusama chain bridge](https://app.phala.network/en/bridge/), the first official parachain-Ethereum bridge on the Substrate ecosystem which allows the Khala community to easily transfer PHA between Ethereum and the Khala chain in a decentralized way. 
*   **Bifrost** is [supporting](https://dotmarketcap.com/blog-detail/2000/bifrost-will-support-bitcountry) Bit.Country’s Pioneer in Kusama slot auctions through the SALP protocol.
    

# 🔗 Candidate Parachains, dApps, and others

> _projects that are **not yet connected** to the DOT and KSM relay chains_

*   The **Moonbeam** crowdloan pre-registration is now open. Get started & pre-register [here](https://crowdloan.moonbeam.foundation/). Allocation and rewards details have been [announced](https://dotmarketcap.com/blog-detail/1996/allocation-and-rewards-details-announced-for-the-moonbeam-crowdloan).
*   **Cere Network** [announced a partnership](https://cere-network.medium.com/cere-x-convergence-partnership-2251a8541f65) with Convergence Finance to further bridge cryptocurrency with real-world asset investments. 
*   **Equilibrium** introduced [fluid xDOT staking](https://medium.com/equilibrium-eosdt/introducing-equilibriums-revolutionary-fluid-xdot-staking-599a846f8e5a). Users will be able to stake DOT for Polkadot parachain and get xDOT, which are DOT wrappers on GenshiroDeFi — Equilibrium’s canary. xDOT wrappers can be used as liquidity on liquidity pools to start earning yield.
*   **Composable Finance** [integrates](https://dotmarketcap.com/blog-detail/1978/composable-integrates-fantom-into-its-mosaic-poc-bridge) Fantom into its Mosaic PoC Bridge.
*   **OnFinality** [partners with](https://dotmarketcap.com/blog-detail/1958/onfinality-partners-with-polkadex-to-provide-one-click-node-deployment) **Polkadex** to provide one-click node deployment. 
*   **Zenlink** [integrates](https://dotmarketcap.com/blog-detail/1999/announcing-the-partnership-between-zenlink-and-anyswap) the AnySwap cross-chain bridge to provide users with more efficient and convenient cross-chain services for their assets.
    
# ⚙ Core Stack

*   [Going forward, the \`--dev\` flag passed into Substrate nodes will imply \`--tmp\` if a \`--base-path\` is not explicitly provided](https://github.com/paritytech/substrate/pull/9938), meaning all dev chains are now temporary chains by default. To persist a dev chain’s database, pass in the base-path parameter.
*   [Block production speed has been improved](https://github.com/paritytech/substrate/pull/9789) for some edge cases where transactions to be processed are known to be invalid ahead of time.
*   🐜 There was a bug where the wrong path was used for the parity-db database in Substrate nodes - the same one for RocksDB, meaning an overwrite would happen. [This has been fixed.](https://github.com/paritytech/substrate/pull/9971)
*   [Transaction priority has been reworked](https://github.com/paritytech/substrate/pull/9834) to favor smaller transactions, plus some other considerations.
*   🐜 [There seems to be a bug](https://github.com/paritytech/polkadot/issues/4137) with multisig transactions in Polkadot’s latest runtimes. Developing…
    

# 🌎 Community & Ecosystem

*   [Metasafari's Dino x Dino released a new project on RMRK](https://url.rmrk.app/dino), opening up a dinosaur-egg pre-sale for certain RMRK Kanaria NFT holders. NFTs with utility taking over the Kusama ecosystem?
*   Interested in following XCM development? See this [tracking PR](https://github.com/paritytech/polkadot/issues/4118).   
*   Want to know about awesome projects on and about Substrate? Check [here](https://github.com/substrate-developer-hub/awesome-substrate).
*   The **Polkadot Hackathon, APAC Edition**, opening ceremony happened on Friday, 22 Oct. You can watch the replay [here](https://www.crowdcast.io/e/apac-hackathon/register).
*   **Jonas Gehrlein**, one of the researchers at Web3 Foundation, has written up [an analysis](https://polkadot.network/blog/kusama-batch-2-auctions-report/) of the second batch of six auctions on Kusama. 
*   There are benefits to installing [Polkadot{.js} extension](https://github.com/polkadot-js/extension) to your browser, even if you are not using it to store DOT or KSM. For instance, it blocks any scam sites it knows about automatically. If you find a scam site it doesn't know about, please add it to [the list](https://polkadot.js.org/phishing/) so it blocks the site for others.
    
# 🛠 Tools


*   [The Polkadot JS Apps UI will now show a warning](https://github.com/polkadot-js/apps/pull/6393) if the recipient of a Treasury Tip has no balance and the tip is less than the existential deposit (meaning the funds would be burned). A bug affecting cancelation of multi-sig calls [has been resolved](https://github.com/polkadot-js/apps/issues/6369). The apps suite has been updated to [version 0.98](https://github.com/polkadot-js/apps/releases/tag/v0.98.1).
*   Ledger imports into the Polkadot JS Extension [will now also cater for the 25th word (passphrase)](https://github.com/polkadot-js/apps/pull/6380), which up until now was not possible.
*   [Substrate API Sidecar is at version 11](https://github.com/paritytech/substrate-api-sidecar/compare/v11.1.0..v11.0.0), adding an address validation endpoint.
*   [Polkadot JS API is at 6.5.2](https://github.com/polkadot-js/api/releases/tag/v6.5.2), adding fixes for historical \`at\` queries on top of 6.5.1
    

# 🌠 NFT Review

> _A [weekly newsletter](https://news.nft.review/) keeping up with the evolution of NFTs in the Dotsama ecosystem._

*   **RMRK** interview with Moon-Bearer, the creator of the ChaosDAO Apes collection.
*   Win RMRK 2.0 NFTs in the **RMRK Halloween Extravaganza**.
*   **Unique Network** raises $11.3 million in the second round of its pre-sale.
    
[Read these and more](https://news.nft.review/p/nft-review-23-nfts-to-free-science?r=cb8q9&utm_campaign=post&utm_medium=web&utm_source=)

# 👷‍♂️ Jobs in Web 3.0

> _Want your ad here? Buy it on [Singular](https://app.subsocial.network/@DotLeap/sponsored-newsletter-space-as-nf-ts-19588)._

*   [RMRK.app](https://rmrk.app/), home of the most advanced NFTs in the world, is looking for React developers and Rust developers. [Get in touch!](mailto:jobs@rmrk.app)
    

* * *

_That's it for this week - I hope this was as useful for you to read as it was for me to write! Many thanks to [Bill Laboon](https://twitter.com/billlaboon) for his daily digest, which helps me not miss some important updates!_

_The Dot Leap is put together by [Bruno Škvorc](https://twitter.com/bitfalls) and [gbaci](https://twitter.com/gbaciX)._

_Got any links for Bruno for the next edition? Find him on Riot at @bruno:web3.foundation, on [Twitter](https://twitter.com/bitfalls), or via email at [editor@dotleap.com](mailto:editor@dotleap.com)._