Although NFTs have had their best run yet, they have barely scratched the surface of their potential. This is particularly so because the present popularity of NFTs is driven largely by NFT 1.0. Much like the Internet went from a 1.0 phase where we could only read information to a 2.0 phase where could read and write, NFT technology has evolved from 1.0 where it is just a static JPEG accumulating digital dust to 2.0 where the sky is the starting point. 

In 2.0, NFTs can do [a lot of things](https://app.subsocial.network/@rmrkapp/dawn-of-the-art-legos-18289) but this article will focus on two.
* Nested NFTs 
* Conditional rendering

## Nested NFTs
The nesting feature allows any NFT to own any other NFT. This goes beyond one layer of ownership. An NFT can own an NFT that owns another NFT, on and on until you reach the earth’s crust. On its own, this feature creates interesting new use-cases, but when partnered with conditional rendering, the potential applications expand while at the same time their experiential quality becomes richer/more immersive. 

Nested NFTs work using the concept of parent-child relationships. There’s a parent NFT who can own many child NFTs, like a game character and their inventory. Each child NFT can in turn own other NFTs, thus becoming a parent in its own right. 

## Conditional Rendering
With this feature, an NFT’s look can change based on which child NFTs are equipped. For example, there is an NFT of a bird and an NFT of a mask. Transferring the mask to the bird will make the bird the parent of the mask. Equipping this mask to the bird will change the rendering so that the bird now has a mask. 

As you can see, nested NFTs and conditional rendering are exciting new superpowers that NFT 2.0 posses. Now we will consider a few possible applications in the hopes of stirring the imaginations of creators of NFT art, music, games, and the metaverse. No longer do we have to contend with static NFT behavior.

# 4 Applications in Art, Music, and the Metaverse

### 1. PFP (profile picture) characters with replaceable parts
PFPs are the craze now with projects launching almost on a daily basis. Most projects have characters that are defined by the rarities of their different parts. However, these parts can’t be altered in any way, nor can the look of the character. What if each character nft could be altered using child nfts of items ranging from necklace, background, headwear, clothing, etc. 

No need for what ifs because RMRK has already demonstrated this with their flagship product [Kanaria](https://kanaria.rmrk.app/). Birds own items that alter the look of the birds. 

![](https://i.imgur.com/yjZ4ljc.jpg)



This can be extended to any character type or even artwork for that matter. So long as parts are defined, a secondary marketplace can be created for new items and artists not on the original team can try new ideas.

### 2. Upgradeable art
The natural consequence of the first application is that now artists can continue to upgrade their art far into the future, creating new variations using child NFTs. These child NFTs will contain modifications to the original painting that, if applied, will result in a new look. Collectors are thus incentivized to hold art for longer and artists have the ability to evolve their past work. 

In RMRK’s current implementation, the artist will send the new child NFT to the collector who will have the option to accept or reject the NFT. Understand though, the artist would be sending the child NFT to the parent NFT and not the collector. In this way, should the first collector sell the parent NFT, the second collector will be able to receive new child NFTs from the artist.

### 3. Hybrid media
Imagine a static JPEG NFT that turns into a video when a music NFT is applied to it. This can be used in several ways. For example, a collection of PFP characters that are bored. These are the parent NFTs. When a dance song is applied to them, the bored picture characters become vibrant video versions, moving to the music. 

Going more abstract, a white dot on a black canvass that paints lines according to the tempo/mood of the music NFT applied to it. 

In this manner, multimedia art can be turned into legos that are reusable across the works of various artists. Now that would be truly radical. Everyone’s individuality is allowed to remain, but the interactions between those individualities are made richer. A generative art marketplace could be built with a feature that interprets the rich data in music (tempo, mood, lyrics, etc.) and uses that to control the distribution of light and color on the canvass (whatever it may be). 

### 4. Child NFTs as keys to secret content
Imagine a podcast that releases new episodes to the original set of NFTs that were used to raise funds? In this way, the owners of these NFTs can listen to the new episodes and choose to sell them on the open market. Consequently, a TV series can be released on the blockchain in this manner. New episodes are delivered to the shows’ parent NFT. If a show is doing really well, the demand for the parent NFTs should be expected to go up. 

# Conclusion

The main crux of the matter is that NFTs, free to interact directly with other NFTs, gives the creator more power and access over his work than ever before. This freedom to self-interact also creates a richer experience that enables new content delivery possibilities that push the envelope in different directions. It’s so versatile that it can be used to create new funding and entertainment models. 

There are many more possible applications but we limit this article to only these 4 to not bombard you with information. We will release more down the line. Given what you've read thus far, what ideas are spinning up in your head? Share in the [RMRK Discord](https://discord.gg/esuzUr3eAM) or [Telegram](https://t.me/kanaria_official).

Subscribe to our [newsletter](https://news.nft.review/subscribe) to stay updated on future possible applications of NFT 2.0.
